PHP ��U
前一頁 |  | 下一頁

# is_bool

(PHP 4, PHP 5)

is_bool -- Finds out whether a variable is a boolean

## Description

bool is_bool ( mixed var )

Finds whether the given variable is a boolean.

## Parameters

var

  The variable being evaluated.

## Return Values

Returns `TRUE` if var is a boolean, `FALSE` otherwise.

## �d��

範例 1. is_bool() examples

`<?php $a = false; $b = 0; // Since $a is a boolean, this is true if (is_bool($a)) { echo "Yes, this is a boolean"; } // Since $b is not a boolean, this is not true if (is_bool($b)) { echo "Yes, this is a boolean"; } ?>`

## �Ѧ�

is_float()
is_int()
is_string()
is_object()
is_array()

前一頁 | 內容 | 下一頁
is_array | 上一層 | is_callable